Set size overrides
- PUT /deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/overrides
Applies size overrides for all of the instances belonging to the given resource. Instance size overrides will be reset with the next plan change.
Request body
The overrides to apply to all instances. Capacity overrides the RAM size in MB of the instance, and storage multiplier overrides the multiplier of the instance RAM size that determines the storage quota of the instance. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0].
Responses
The updated overrides
- The deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot by found. (code:
deployments.deployment_resource_not_found) - The specified override was out of range. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0]. (code:
instance_overrides.out_of_range)